=== modified file 'drizzled/cursor.cc'
--- drizzled/cursor.cc	2011-03-14 16:41:31 +0000
+++ drizzled/cursor.cc	2011-03-15 21:40:08 +0000
@@ -44,6 +44,7 @@
 #include <drizzled/transaction_services.h>
 #include <drizzled/key.h>
 #include <drizzled/sql_lex.h>
+#include <drizzled/resource_context.h>
 
 using namespace std;
 

=== modified file 'drizzled/resource_context.h'
--- drizzled/resource_context.h	2011-03-14 05:40:28 +0000
+++ drizzled/resource_context.h	2011-03-15 21:40:08 +0000
@@ -22,14 +22,13 @@
 
 #include <cstddef>
 
-namespace drizzled
-{
+namespace drizzled {
 
 namespace plugin
 {
-class MonitoredInTransaction;
-class TransactionalStorageEngine;
-class XaResourceManager;
+  class MonitoredInTransaction;
+  class TransactionalStorageEngine;
+  class XaResourceManager;
 }
 
 /**

=== modified file 'drizzled/session.h'
--- drizzled/session.h	2011-03-15 21:30:35 +0000
+++ drizzled/session.h	2011-03-15 21:40:08 +0000
@@ -38,7 +38,6 @@
 #include <drizzled/open_tables_state.h>
 #include <drizzled/pthread_globals.h>
 #include <drizzled/query_id.h>
-#include <drizzled/resource_context.h>
 #include <drizzled/session/property_map.h>
 #include <drizzled/session/state.h>
 #include <drizzled/session/table_messages.h>
@@ -63,8 +62,9 @@
 namespace plugin
 {
 	class Client;
+	class EventObserverList;
+  class MonitoredInTransaction;
 	class Scheduler;
-	class EventObserverList;
 }
 
 namespace message
@@ -87,6 +87,7 @@
 class DrizzleXid;
 class Internal_error_handler;
 class Lex_input_stream;
+class ResourceContext;
 class TableShareInstance;
 class Table_ident;
 class Time_zone;

